/**
* 文件：WarehouseEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.warehouse.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 仓库表</p>
 * <p>Description: WarehouseEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class WarehouseEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1614577623335L;
	
	/** 仓库名称 */
	private String name;

	/** 仓库编码 */
	private String code;

	/** 仓库地址 */
	private String address;

	/** 仓库联系人，姓名 */
	private String contactsUser;

	/** 仓库联系电话 */
	private String contactsPhone;

	/** 启用停用，0停用 1启用，默认1 */
	private Integer status;

	/** 备注 */
	private String remark;

	/** 变更时间 */
	private Date updateTime;

	/** 变更用户loginName */
	private String updateUser;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户loginName */
	private String createUser;


	public WarehouseEntity(){
		
	}
	/**
	 * 获取 仓库名称
	 * @return name
	 */
	public String getName(){
		return this.name;
	}

	/**
	 * 设置 仓库名称
	 * @param name
	 */
	public void setName(String name){
		this.name = name;
	}

	/**
	 * 获取 仓库编码
	 * @return code
	 */
	public String getCode(){
		return this.code;
	}

	/**
	 * 设置 仓库编码
	 * @param code
	 */
	public void setCode(String code){
		this.code = code;
	}

	/**
	 * 获取 仓库地址
	 * @return address
	 */
	public String getAddress(){
		return this.address;
	}

	/**
	 * 设置 仓库地址
	 * @param address
	 */
	public void setAddress(String address){
		this.address = address;
	}

	/**
	 * 获取 仓库联系人，姓名
	 * @return contactsUser
	 */
	public String getContactsUser(){
		return this.contactsUser;
	}

	/**
	 * 设置 仓库联系人，姓名
	 * @param contactsUser
	 */
	public void setContactsUser(String contactsUser){
		this.contactsUser = contactsUser;
	}

	/**
	 * 获取 仓库联系电话
	 * @return contactsPhone
	 */
	public String getContactsPhone(){
		return this.contactsPhone;
	}

	/**
	 * 设置 仓库联系电话
	 * @param contactsPhone
	 */
	public void setContactsPhone(String contactsPhone){
		this.contactsPhone = contactsPhone;
	}

	/**
	 * 获取 启用停用，0停用 1启用，默认1
	 * @return status
	 */
	public Integer getStatus(){
		return this.status;
	}

	/**
	 * 设置 启用停用，0停用 1启用，默认1
	 * @param status
	 */
	public void setStatus(Integer status){
		this.status = status;
	}

	/**
	 * 获取 备注
	 * @return remark
	 */
	public String getRemark(){
		return this.remark;
	}

	/**
	 * 设置 备注
	 * @param remark
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}

	/**
	 * 获取 变更时间
	 * @return updateTime
	 */
	public Date getUpdateTime(){
		return this.updateTime;
	}

	/**
	 * 设置 变更时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUser
	 */
	public String getUpdateUser(){
		return this.updateUser;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUser
	 */
	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUser
	 */
	public String getCreateUser(){
		return this.createUser;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUser
	 */
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof WarehouseEntity) {
			WarehouseEntity tmp = (WarehouseEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",name:").append(getName())
		  .append(",code:").append(getCode())
		  .append(",address:").append(getAddress())
		  .append(",contactsUser:").append(getContactsUser())
		  .append(",contactsPhone:").append(getContactsPhone())
		  .append(",status:").append(getStatus())
		  .append(",remark:").append(getRemark())
		  .append(",updateTime:").append(getUpdateTime())
		  .append(",updateUser:").append(getUpdateUser())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUser:").append(getCreateUser());
		return sb.toString();
	}
	public void initAttrValue(){
		this.name = null;
		this.code = null;
		this.address = null;
		this.contactsUser = null;
		this.contactsPhone = null;
		this.status = 1;
		this.remark = null;
		this.updateTime = null;
		this.updateUser = null;
		this.createTime = null;
		this.createUser = null;
	}
}